import { ApolloClient } from '@apollo/client/index.js';
import { Observable } from 'rxjs';
import { IExtServices, IContributionsItem } from '@adminide-stack/extension-api';
/**
 *
 * @param action$
 * @param state$
 * @param param2
 */
export declare const registerContributionsEpic: (action$: Observable<{
    type: string;
    payload: IContributionsItem;
}>, state$: Observable<any>, { apolloClient, services }: {
    apolloClient: ApolloClient<any>;
    services: IExtServices;
}) => any;
export declare const deregisterContributionsEpic: (action$: Observable<{
    type: string;
    payload: IContributionsItem;
}>, state$: Observable<any>, { apolloClient, services }: {
    apolloClient: ApolloClient<any>;
    services: IExtServices;
}) => any;
export declare const getActiveContributionsEpic: (action$: Observable<{
    type: string;
}>, state$: Observable<any>, { apolloClient, services }: {
    apolloClient: ApolloClient<any>;
    services: IExtServices;
}) => any;
//# sourceMappingURL=contribution-epics.d.ts.map